## mod-wsgi 5.0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	mkdir $(BUILDDIR)/html
	touch $(BUILDDIR)/html/__init__.py

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mod_wsgi.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mod_wsgi.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mod_wsgi"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mod_wsgi"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## mod-wsgi 3.3

=== debian/changelog ===
mod-wsgi (3.3-4+deb7u1) wheezy-security; urgency=high

  * Fix possibility of local privilege escalation when using daemon mode.
    (Closes: #748910)
    - CVE-2014-0240
    - debian/patches/CVE-2014-0240.patch: backport upstream commit
  * Fix possibility of disclosure via Content-Type response header.
    - CVE-2014-0242
    - debian/patches/CVE-2014-0242.patch: backport upstream commit

 -- Felix Geyer <fgeyer@debian.org>  Wed, 21 May 2014 22:20:57 +0200

mod-wsgi (3.3-4) unstable; urgency=low

  [ James Page ]
  * Add a patch for Python 3.2 compatibility 
    - debian/patches/python-3.2-compat.patch: full patch to support 
      python >= 3.2 from Graham Dumpleton.
  * Converted to source/format "3.0 (quilt)"

  [ Piotr Ożarowski ]
  * Add build-arch and build-indep targets in debian/rules
  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 06 Oct 2011 20:38:03 +0200

mod-wsgi (3.3-2) unstable; urgency=low

  * Rebuild for Python 2.6.6 (Closes: #597915) 

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 26 Sep 2010 22:45:52 +0200

mod-wsgi (3.3-1) unstable; urgency=low

  [ Sameer Rahmani ]
  * watch file fixed.

  [ Bernd Zeimetz ]
  * Ensure that the mod-wsgi symlink is updated to the current default Python
    version while installing/upgrading the package. This is only necessary
    in rare cases (when the default Python version was updated after the last
    rebuild of mod-wsgi), but it needs to be handled properly.

  [ Piotr Ożarowski ]
  * New upstream release
  * Move Python 3.X extension to new libapache2-mod-wsgi-py3 binary package
  * Provide httpd-wsgi (see #588497)
  * Bump Standards-Version to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 18 Aug 2010 23:40:10 +0200

mod-wsgi (3.2-2) unstable; urgency=low

  * mod-wsgi needs to depend on libpython for Python > 2.5.
    (Closes: #580425) 

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 12 May 2010 18:12:36 +0200

mod-wsgi (3.2-1) unstable; urgency=low

  * New upstream release
  * Build Python 3.X version of the module
    - python3-all-dev added to build dependencies

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 22 Mar 2010 20:05:19 +0100

mod-wsgi (2.8-2) unstable; urgency=low

  * Restart Apache instead of reloading config file in postinst (temporary
    workaround for bug #558608)
  * Section changed to "httpd"
  * Bump Standards-Version to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 01 Feb 2010 21:03:25 +0100

mod-wsgi (3.1-1) experimental; urgency=low

  * New upstream release.
  * Update wsgi.conf example. 

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 19 Dec 2009 12:59:50 +0100

mod-wsgi (2.8-1) unstable; urgency=low

  * New upstream release
  * Remove postrm maintainer script, no longer needed as Lenny doesn't have
    mod-wsgi.{conf,load} anymore and this script was removing new files (which
    is handled by dpkg, closes: 558589)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 29 Nov 2009 14:07:48 +0100

mod-wsgi (2.6-1) unstable; urgency=low

  * New upstream release
  * configure-apache-version.dpatch removed, no longer needed
  * Bump Standards-Version to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 11 Oct 2009 21:27:30 +0200

mod-wsgi (2.5-1~lenny1) stable; urgency=medium

  * Rebuild for Lenny (Closes: #526154)
  * Add patch from upstream's mod_wsgi-2.X branch (revision 1352)
    (decrement of reference count on NULL pointer)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 28 Aug 2009 23:17:18 +0200

mod-wsgi (2.5-1) unstable; urgency=low

  * New upstream bugfix release.
  * Updating patches to suit the new version. 

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 17 May 2009 01:17:56 +0200

mod-wsgi (2.4-1) unstable; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release
  * Don't ignore errors in postrm maintainer script
  * Standards-Version bumped to 3.8.1
    + add debian/README.source file

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 18 Apr 2009 22:06:03 +0200

mod-wsgi (2.3-1) unstable; urgency=low

  * New upstream release (Closes: #496067). This upload covers the changes of
    mod-wsgi 2.2 and 2.3.
    mod-wsgi 2.2 is mainly bugfix-releases. The only exception is a backport
    of one function from 3.0 which allows the setting of process names on *BSD
    - this does not affect Linux.
    mod-wsgi 2.3 fixes regressions which were introduced in 2.2.
    
    Here follows a list of the bugfixes in 2.2:
      1. Fix bug whereby if mod_python is loaded at same time as mod_wsgi the
         WSGIImportScript directive can cause Apache child processes to crash.
         For details see: http://code.google.com/p/modwsgi/issues/detail?id=91

      2. Fix bug where mod_wsgi daemon process startup could fail due to old
         stale UNIX listener socket file as described in:
         http://code.google.com/p/modwsgi/issues/detail?id=77 

      3. Fix bug where listener socket file descriptors for daemon processes
         were being leaked in Apache parent process on a graceful restart.
         Also fixes problem where UNIX listener socket was left in filesystem
         on both graceful restart and graceful shutdown. For details see:
         http://code.google.com/p/modwsgi/issues/detail?id=95 

      4. Fix bug where response was truncated when a null character appeared
         as first character in block of data being returned from
         wsgi.file_wrapper.
         Only occurred when code fell back to using iteration over supplied
         file like object, rather than optimised method such as sendfile().
         http://code.google.com/p/modwsgi/issues/detail?id=100

    The following regressions/bugs of 2.2 were fixed in 2.3:

      1. Fixed problem introduced in version 2.2 of mod_wsgi whereby use of
         daemon mode would cause CGI scripts to fail. It is quite possible


=== debian/control ===
Source: mod-wsgi
Section: httpd
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 5), python-all-dev, python3-all-dev, apache2-threaded-dev
Homepage: http://www.modwsgi.org/
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/python-modules/packages/mod-wsgi/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/mod-wsgi/trunk/

Package: libapache2-mod-wsgi
Architecture: any
Depends: apache2, apache2.2-common, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: apache2-mpm-worker | apache2-mpm-event
Provides: httpd-wsgi
Description: Python WSGI adapter module for Apache
 The mod_wsgi adapter is an Apache module that provides a WSGI (Web Server
 Gateway Interface, a standard interface between web server software and
 web applications written in Python) compliant interface for hosting Python
 based web applications within Apache. The adapter provides significantly
 better performance than using existing WSGI adapters for mod_python or CGI.
 .
 This package provides module for Python 2.X.

Package: libapache2-mod-wsgi-py3
Architecture: any
Depends: apache2, apache2.2-common, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Suggests: apache2-mpm-worker | apache2-mpm-event
Conflicts: libapache2-mod-wsgi
Provides: httpd-wsgi
Description: Python 3 WSGI adapter module for Apache
 The mod_wsgi adapter is an Apache module that provides a WSGI (Web Server
 Gateway Interface, a standard interface between web server software and
 web applications written in Python) compliant interface for hosting Python
 based web applications within Apache. The adapter provides significantly
 better performance than using existing WSGI adapters for mod_python or CGI.
 .
 This package provides module for Python 3.X.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=libapache2-mod-wsgi

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APXS2=/usr/bin/apxs2
PYVERS=$(shell pyversions -vs)
PYDEFAULT=$(shell pyversions -dv)
PYMIN=$(shell echo $(PYVERS) | awk '{print $$1}')
PYMAX=$(shell echo $(PYVERS) | LANG=C awk '{print $$NF+0.1}')
PY3VERS=$(shell py3versions -vs)
PY3DEFAULT=$(shell py3versions -dv)
PY3MIN=$(shell echo $(PY3VERS) | awk '{print $$1}')
PY3MAX=$(shell echo $(PY3VERS) | LANG=C awk '{print $$NF+0.1}')
pkgdir = $(CURDIR)/debian/$(PACKAGE)$(if $(patsubst 3.%,,$(1)),,-py3)

build-%/config.status:
	dh_testdir
	mkdir -p build-$*
	cp *.in *.c configure build-$*/
	cd build-$* && ./configure --with-apxs=$(APXS2) \
	            --with-python=/usr/bin/python$*

build-%/build-stamp: build-%/config.status
	dh_testdir
	$(MAKE) -C build-$*
	touch $@

build: build-arch
build-arch: $(PYVERS:%=build-%/build-stamp) $(PY3VERS:%=build-%/build-stamp)
build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -rf build-*
	dh_clean 

install-clean:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

install-%: build-%/build-stamp
	$(MAKE) -C build-$* DESTDIR=$(call pkgdir,$*) install
	mv $(call pkgdir,$*)/usr/lib/apache2/modules/mod_wsgi.so \
		$(call pkgdir,$*)/usr/lib/apache2/modules/mod_wsgi.so-$*

install: build install-clean $(PYVERS:%=install-%) $(PY3VERS:%=install-%)

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install
	install -d -m 755 debian/$(PACKAGE)/usr/share/python/runtime.d
	install -d -m 755 debian/$(PACKAGE)-py3/usr/share/python3/runtime.d
	install -m 755 debian/$(PACKAGE).rtupdate debian/$(PACKAGE)/usr/share/python/runtime.d/
	install -m 755 debian/$(PACKAGE)-py3.rtupdate debian/$(PACKAGE)-py3/usr/share/python3/runtime.d/
	dh_installman
	dh_link -p $(PACKAGE) /usr/lib/apache2/modules/mod_wsgi.so-$(PYDEFAULT) usr/lib/apache2/modules/mod_wsgi.so
	dh_link -p $(PACKAGE)-py3 /usr/lib/apache2/modules/mod_wsgi.so-$(PY3DEFAULT) usr/lib/apache2/modules/mod_wsgi.so
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	# Ugh, ignore libpython dependencies
	( for i in 2.4 2.5; do echo libpython$$i 1.0; done ) > debian/shlibs.local
	dh_shlibdeps
	rm -f debian/shlibs.local
	# Generate dependencies manually as there are no public modules
	echo 'python:Depends=python (>= $(PYMIN)), python (<< $(PYMAX))' \
	     >> $(CURDIR)/debian/$(PACKAGE).substvars
	echo 'python3:Depends=python3 (>= $(PY3MIN)), python3 (<< $(PY3MAX))' \
	     >> $(CURDIR)/debian/$(PACKAGE)-py3.substvars
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://modwsgi.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/modwsgi/downloads/detail[?]name=mod_wsgi-([0-9.]+).tar.gz&.*

## mod-wsgi 3.4

=== debian/changelog ===
mod-wsgi (3.4-4ubuntu2) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 16:35:04 +0100

mod-wsgi (3.4-4ubuntu1) trusty; urgency=medium

  * Build for Python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 20:30:06 +0200

mod-wsgi (3.4-4build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:31:23 +0000

mod-wsgi (3.4-4) unstable; urgency=low

  * Fix wsgi applications segfaulting when run in daemon mode under Apache 2.4.
    Thanks to Stephan Adig. (Closes: #719304)
    - Add fix_crash_daemon_mode.patch, cherry-picked from upstream.
  * Add myself as uploader.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 10 Aug 2013 18:17:01 +0200

mod-wsgi (3.4-3) unstable; urgency=low

  * Upload to unstable (python3 build dependency removed)
  * Remove myself from Uploaders

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 30 May 2013 19:28:43 +0200

mod-wsgi (3.4-2) experimental; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Felix Geyer ]
  * Fix building against python3.3. Thanks to Dmitrijs Ledkovs for the
    initial patch. (Closes: #692390)
    - Add python-config.patch to make configure.ac query pythonX.Y-config
      instead of python-distutils.
  * Add support for Apache 2.4. Thanks to Ondřej Surý for the patch.
    (Closes: #666818)
  * Export build flags using /usr/share/dpkg/buildflags.mk.
  * Bump Standards-Version to 3.9.4, no changes needed.

  [ Piotr Ożarowski ]
  * Add temporary python (>= 3.3) build dependency to make sure
    python3-defaults from experimental is used during build

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 21 May 2013 22:03:58 +0200

mod-wsgi (3.4-1) experimental; urgency=low

  * New upstream release.
  * d/p/python-3.2-compat.patch: Dropped, superseded by new release.

 -- Clint Byrum <clint@ubuntu.com>  Thu, 23 Aug 2012 16:34:39 -0700

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: httpd
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Bernd Zeimetz <bzed@debian.org>, Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper (>= 5), python-all-dev, python3-all-dev, apache2-threaded-dev
+Uploaders: Bernd Zeimetz <bzed@debian.org>, Felix Geyer <fgeyer@debian.org>
+Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.16.1~), python-all-dev, python3-all-dev, apache2-dev (>= 2.4), dh-autoreconf
 Homepage: http://www.modwsgi.org/
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/mod-wsgi/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/mod-wsgi/trunk/
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mod-wsgi/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mod-wsgi/trunk/
 
 Package: libapache2-mod-wsgi
 Architecture: any
-Depends: apache2, apache2.2-common, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Suggests: apache2-mpm-worker | apache2-mpm-event
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Provides: httpd-wsgi
 Description: Python WSGI adapter module for Apache
  The mod_wsgi adapter is an Apache module that provides a WSGI (Web Server
@@ -25,8 +24,7 @@
 
 Package: libapache2-mod-wsgi-py3
 Architecture: any
-Depends: apache2, apache2.2-common, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
-Suggests: apache2-mpm-worker | apache2-mpm-event
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Conflicts: libapache2-mod-wsgi
 Provides: httpd-wsgi
 Description: Python 3 WSGI adapter module for Apache

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,13 @@
 PY3MAX=$(shell echo $(PY3VERS) | LANG=C awk '{print $$NF+0.1}')
 pkgdir = $(CURDIR)/debian/$(PACKAGE)$(if $(patsubst 3.%,,$(1)),,-py3)
 
+DPKG_EXPORT_BUILDFLAGS=1
+include /usr/share/dpkg/buildflags.mk
+
+autoreconf-stamp:
+	dh_autoreconf
+	touch $@
+
 build-%/config.status:
 	dh_testdir
 	mkdir -p build-$*
@@ -29,14 +36,16 @@
 	touch $@
 
 build: build-arch
-build-arch: $(PYVERS:%=build-%/build-stamp) $(PY3VERS:%=build-%/build-stamp)
+build-arch: autoreconf-stamp $(PYVERS:%=build-%/build-stamp) $(PY3VERS:%=build-%/build-stamp)
 build-indep:
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -rf build-*
-	dh_clean 
+	dh_autoreconf_clean
+	dh_clean
+	rm -f autoreconf-stamp
 
 install-clean:
 	dh_testdir
@@ -61,6 +70,7 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_install
+	dh_apache2
 	install -d -m 755 debian/$(PACKAGE)/usr/share/python/runtime.d
 	install -d -m 755 debian/$(PACKAGE)-py3/usr/share/python3/runtime.d
 	install -m 755 debian/$(PACKAGE).rtupdate debian/$(PACKAGE)/usr/share/python/runtime.d/

## mod-wsgi 3.5

=== debian/changelog ===
mod-wsgi (3.5-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2014-0240: Local privilege escalation when using daemon mode.
  * Drop fix_crash_daemon_mode.patch, applied upstream.
  * Refresh python-config.patch.
  * Drop obsolete shlibs.local.
  * Update watch file to check GitHub instead of Google Code.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 21 May 2014 21:45:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Felix Geyer <fgeyer@debian.org>
 Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.16.1~), python-all-dev, python3-all-dev, apache2-dev (>= 2.4), dh-autoreconf
 Homepage: http://www.modwsgi.org/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mod-wsgi/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mod-wsgi/trunk/

=== debian/rules ===
--- 
+++ 
@@ -82,10 +82,7 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	# Ugh, ignore libpython dependencies
-	( for i in 2.4 2.5; do echo libpython$$i 1.0; done ) > debian/shlibs.local
 	dh_shlibdeps
-	rm -f debian/shlibs.local
 	# Generate dependencies manually as there are no public modules
 	echo 'python:Depends=python (>= $(PYMIN)), python (<< $(PYMAX))' \
 	     >> $(CURDIR)/debian/$(PACKAGE).substvars

## mod-wsgi 4.2.7

=== debian/changelog ===
mod-wsgi (4.2.7-1) unstable; urgency=medium

  * New upstream release. 
  * Use find instead of a simple cp to copy the source into build
    directories.
  * README was renamed to README.rst

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 09 Aug 2014 11:11:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 build-%/config.status:
 	dh_testdir
 	mkdir -p build-$*
-	cp *.in *.c configure build-$*/
+	find . -mindepth 1 -maxdepth 1 -name 'debian' -o -name 'build-*' -o -exec cp -r {} build-$* \;
 	cd build-$* && ./configure --with-apxs=$(APXS2) \
 	            --with-python=/usr/bin/python$*

## mod-wsgi 4.3.0

=== debian/changelog ===
mod-wsgi (4.3.0-1.1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Jan 2016 11:45:50 +0000

mod-wsgi (4.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed broken depends when rebuilt: applied patch sent to the BTS, thanks to
    peter green <plugwash@p10link.net> for the patch (Closes: #805435).

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Nov 2015 09:27:45 +0000

mod-wsgi (4.3.0-1) unstable; urgency=medium

  [ Felix Geyer ]
  * Shorten the rules file using the dh(1) helper.
  * Add autopkgtests.

  [ Bernd Zeimetz ]
  * New upstream release.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Oct 2014 12:28:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.16.1~), python-all-dev, python3-all-dev, apache2-dev (>= 2.4), dh-autoreconf
+Build-Depends: debhelper (>= 9), python-all-dev, python3-all-dev, apache2-dev (>= 2.4), dh-autoreconf
 Homepage: http://www.modwsgi.org/
 Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mod-wsgi/trunk/

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=libapache2-mod-wsgi

APXS2=/usr/bin/apxs2
PYVERS=$(shell pyversions -vs)
PYDEFAULT=$(shell pyversions -dv)
PYMIN=$(shell echo $(PYVERS) | awk '{print $$1}')
PYMAX=$(shell echo $(PYVERS) | LANG=C awk '{print $$NF+0.1}')
PY3VERS=$(shell py3versions -vs | tr ' ' '\n' | sort -n | tr '\n' ' ' | paste -s -d ' ')
PY3DEFAULT=$(shell py3versions -dv)
PY3MIN=$(shell echo $(PY3VERS) | awk '{print $$1}')
PY3MAX=$(shell echo $(PY3VERS) | LANG=C awk '{print $$NF+0.1}')
pkgdir = $(CURDIR)/debian/$(PACKAGE)$(if $(patsubst 3.%,,$(1)),,-py3)

%:
	dh $@ --parallel --with autoreconf,apache2

build-%/config.status:
	mkdir -p build-$*
	find . -mindepth 1 -maxdepth 1 -name 'debian' -o -name 'build-*' -o -exec cp -r {} build-$* \;
	dh_auto_configure -Bbuild-$* -- --with-apxs=$(APXS2) --with-python=/usr/bin/python$* 

build-%/build-stamp:
	dh_auto_build -Bbuild-$*
	touch $@

install-%:
	dh_auto_install -Bbuild-$* -- DESTDIR=$(call pkgdir,$*)
	mv $(call pkgdir,$*)/usr/lib/apache2/modules/mod_wsgi.so \
		$(call pkgdir,$*)/usr/lib/apache2/modules/mod_wsgi.so-$*

override_dh_auto_configure: $(PYVERS:%=build-%/config.status) $(PY3VERS:%=build-%/config.status)

override_dh_auto_build: $(PYVERS:%=build-%/build-stamp) $(PY3VERS:%=build-%/build-stamp)

override_dh_auto_install: $(PYVERS:%=install-%) $(PY3VERS:%=install-%)

override_dh_auto_clean:
	rm -rf build-*

override_dh_install:
	dh_install
	chmod 755 debian/$(PACKAGE)/usr/share/python/runtime.d/libapache2-mod-wsgi.rtupdate
	chmod 755 debian/$(PACKAGE)-py3/usr/share/python3/runtime.d/libapache2-mod-wsgi-py3.rtupdate

override_dh_link:
	dh_link -p $(PACKAGE) /usr/lib/apache2/modules/mod_wsgi.so-$(PYDEFAULT) usr/lib/apache2/modules/mod_wsgi.so
	dh_link -p $(PACKAGE)-py3 /usr/lib/apache2/modules/mod_wsgi.so-$(PY3DEFAULT) usr/lib/apache2/modules/mod_wsgi.so
	dh_link --remaining-packages

override_dh_gencontrol:
	# Generate dependencies manually as there are no public modules
	echo 'python:Depends=python (>= $(PYMIN)), python (<< $(PYMAX))' \
	     >> $(CURDIR)/debian/$(PACKAGE).substvars
	echo 'python3:Depends=python3 (>= $(PY3MIN)), python3 (<< $(PY3MAX))' \
	     >> $(CURDIR)/debian/$(PACKAGE)-py3.substvars
	dh_gencontrol

## mod-wsgi 4.4.21

=== debian/changelog ===
mod-wsgi (4.4.21-1~uvt) stable; urgency=medium

  * New upstream release.

 -- Wessel Dankers <wsl@uvt.nl>  Tue, 19 Jan 2016 12:54:27 +0100

## mod-wsgi 4.5.11

=== debian/changelog ===
mod-wsgi (4.5.11-1) unstable; urgency=medium

  * [8d515a5] Merge tag 'upstream/4.5.11'
    Upstream version 4.5.11

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 29 Dec 2016 21:45:11 +0100

mod-wsgi (4.5.9-1) unstable; urgency=medium

  * [ac3148d] Merge tag 'upstream/4.5.9'
    Upstream version 4.5.9

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 03 Dec 2016 19:29:05 +0100

mod-wsgi (4.5.7-1) unstable; urgency=medium

  [ SVN-Git Migration ]
  * [ebb4318] Initialize git-dpm
  * [2794e79] git-dpm config
  * [94c1950] Update Vcs fields for git migration

  [ Bernd Zeimetz ]
  * [4b3b7b8] Merge tag 'upstream/4.4.21'
    Upstream version 4.4.21
  * [8c2e3d6] Merge remote-tracking branch 'origin/master'
  * [8013cf8] Merge tag 'upstream/4.5.7'
    Upstream version 4.5.7
    Closes: #791617
  * [1d01c26] Removing patches.
  * [a148e62] snapshot changelog.
  * [cffb965] remove changes in configure.ac

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Sep 2016 12:23:03 +0200

mod-wsgi (4.4.13-0.1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Ran wrap-and-sort -t -a.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Sep 2015 13:29:03 +0000

=== debian/control ===
Source: mod-wsgi
Section: httpd
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>,
           Felix Geyer <fgeyer@debian.org>,
Build-Depends: apache2-dev (>= 2.4),
               debhelper (>= 9),
               dh-autoreconf,
               python-all-dev,
               python3-all-dev,
Homepage: http://www.modwsgi.org/
Standards-Version: 3.9.5
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mod-wsgi.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mod-wsgi.git

Package: libapache2-mod-wsgi
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: httpd-wsgi,
Description: Python WSGI adapter module for Apache
 The mod_wsgi adapter is an Apache module that provides a WSGI (Web Server
 Gateway Interface, a standard interface between web server software and
 web applications written in Python) compliant interface for hosting Python
 based web applications within Apache. The adapter provides significantly
 better performance than using existing WSGI adapters for mod_python or CGI.
 .
 This package provides module for Python 2.X.

Package: libapache2-mod-wsgi-py3
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Conflicts: libapache2-mod-wsgi,
Provides: httpd-wsgi,
Description: Python 3 WSGI adapter module for Apache
 The mod_wsgi adapter is an Apache module that provides a WSGI (Web Server
 Gateway Interface, a standard interface between web server software and
 web applications written in Python) compliant interface for hosting Python
 based web applications within Apache. The adapter provides significantly
 better performance than using existing WSGI adapters for mod_python or CGI.
 .
 This package provides module for Python 3.X.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PYDEFAULT=$(shell pyversions -dv)
 PYMIN=$(shell echo $(PYVERS) | awk '{print $$1}')
 PYMAX=$(shell echo $(PYVERS) | LANG=C awk '{print $$NF+0.1}')
-PY3VERS=$(shell py3versions -vs | tr ' ' '\n' | sort -n | tr '\n' ' ' | paste -s -d ' ')
+PY3VERS=$(shell py3versions -vs)
 PY3DEFAULT=$(shell py3versions -dv)
 PY3MIN=$(shell echo $(PY3VERS) | awk '{print $$1}')
 PY3MAX=$(shell echo $(PY3VERS) | LANG=C awk '{print $$NF+0.1}')

## mod-wsgi 4.5.17

=== debian/changelog ===
mod-wsgi (4.5.17-1) unstable; urgency=medium

  [ Felix Geyer ]
  * [0e844af] Remove myself from Uploaders.

  [ Scott Kitterman ]
  * [8a3cee5] * Fix min/max Python 3 version determination for multiple versions.   (closes: #866575)

  [ Bernd Zeimetz ]
  * [f2fada2] Merge tag 'upstream/4.5.17'
    Upstream version 4.5.17

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 09 Jul 2017 13:46:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: httpd
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Bernd Zeimetz <bzed@debian.org>,
-           Felix Geyer <fgeyer@debian.org>,
+Uploaders: Bernd Zeimetz <bzed@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
                debhelper (>= 9),
                dh-autoreconf,

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 PYMAX=$(shell echo $(PYVERS) | LANG=C awk '{print $$NF+0.1}')
 PY3VERS=$(shell py3versions -vs)
 PY3DEFAULT=$(shell py3versions -dv)
-PY3MIN=$(shell echo $(PY3VERS) | awk '{print $$1}')
-PY3MAX=$(shell echo $(PY3VERS) | LANG=C awk '{print $$NF+0.1}')
+PY3MIN=$(shell for VERSION in $(PY3VERS); do echo $$VERSION; done | sort | head -1)
+PY3MAX=$(shell for VERSION in $(PY3VERS); do echo $$VERSION; done | sort | tail -1 | LANG=C awk '{print $$NF+0.1}')
 pkgdir = $(CURDIR)/debian/$(PACKAGE)$(if $(patsubst 3.%,,$(1)),,-py3)
 
 %:

## mod-wsgi 4.6.5

=== debian/changelog ===
mod-wsgi (4.6.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * [1156399] d/control: Set Vcs-* to salsa.debian.org
  * [8d40d79] d/changelog: Remove trailing whitespaces
  * [884363a] d/rules: Remove trailing whitespaces
  * [dd1e447] Convert git repository from git-dpm to gbp layout

  [ Chris Lamb ]
  * [198441f] Remove trailing whitespaces.

  [ Bernd Zeimetz ]
  * [edb69c7] Removing manually generated changelog
  * [acfabb5] Update upstream source from tag 'upstream/4.6.5'
    Update to upstream version '4.6.5'
    with Debian dir 154521a9e9f32e6ed349daeda7f53e913cd70e3c
  * [d76c822] Add debian/.gitlab-ci.yml

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 03 Feb 2019 00:30:51 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                python3-all-dev,
 Homepage: http://www.modwsgi.org/
 Standards-Version: 3.9.5
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mod-wsgi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mod-wsgi.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/mod-wsgi.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/mod-wsgi
 
 Package: libapache2-mod-wsgi
 Architecture: any

## mod-wsgi 4.6.8

=== debian/changelog ===
mod-wsgi (4.6.8-1ubuntu3.1) focal-security; urgency=medium

  * SECURITY UPDATE: Trusted Proxy Headers Removing Bypass
    - debian/patches/CVE-2022-2255.patch: ensure that X-Client-IP header is
      dropped when is not a trusted header in src/server/mod_wsgi.c.
    - CVE-2022-2255

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Jul 2022 09:23:28 -0400

mod-wsgi (4.6.8-1ubuntu3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:56 +0100

mod-wsgi (4.6.8-1ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:23:18 +0100

mod-wsgi (4.6.8-1ubuntu1) focal; urgency=medium

  * Build-depend on dh-python.
  * Build --with python2,python3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2020 15:20:13 +0100

mod-wsgi (4.6.8-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2020 18:56:42 +0000

mod-wsgi (4.6.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Bernd Zeimetz ]
  * [0dd1e46] use salsa CI
  * [83f0e68] Update upstream source from tag 'upstream/4.6.8'
    Update to upstream version '4.6.8'
    with Debian dir 54c4f71125211a3d91e80f11588fb02a87bc0a41
    Closes: #942684
  * [09eb90b] Provide httpd-wsgi3 for python3 (Closes: #769052)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 20 Nov 2019 06:27:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: mod-wsgi
 Section: httpd
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
-               debhelper (>= 9),
+               debhelper-compat (= 9),
                dh-autoreconf,
+               dh-python,
                python-all-dev,
                python3-all-dev,
 Homepage: http://www.modwsgi.org/
@@ -34,7 +36,7 @@
          ${python3:Depends},
          ${shlibs:Depends},
 Conflicts: libapache2-mod-wsgi,
-Provides: httpd-wsgi,
+Provides: httpd-wsgi3,
 Description: Python 3 WSGI adapter module for Apache
  The mod_wsgi adapter is an Apache module that provides a WSGI (Web Server
  Gateway Interface, a standard interface between web server software and

=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,12 @@
 pkgdir = $(CURDIR)/debian/$(PACKAGE)$(if $(patsubst 3.%,,$(1)),,-py3)
 
 %:
-	dh $@ --parallel --with autoreconf,apache2
+	dh $@ --parallel --with autoreconf,apache2,python2,python3
 
 build-%/config.status:
 	mkdir -p build-$*
 	find . -mindepth 1 -maxdepth 1 -name 'debian' -o -name 'build-*' -o -exec cp -r {} build-$* \;
-	dh_auto_configure -Bbuild-$* -- --with-apxs=$(APXS2) --with-python=/usr/bin/python$* 
+	dh_auto_configure -Bbuild-$* -- --with-apxs=$(APXS2) --with-python=/usr/bin/python$*
 
 build-%/build-stamp:
 	dh_auto_build -Bbuild-$*
@@ -51,7 +51,7 @@
 
 override_dh_gencontrol:
 	# Generate dependencies manually as there are no public modules
-	echo 'python:Depends=python (>= $(PYMIN)), python (<< $(PYMAX))' \
+	echo 'python:Depends=python2 (>= $(PYMIN)), python2 (<< $(PYMAX))' \
 	     >> $(CURDIR)/debian/$(PACKAGE).substvars
 	echo 'python3:Depends=python3 (>= $(PY3MIN)), python3 (<< $(PY3MAX))' \
 	     >> $(CURDIR)/debian/$(PACKAGE)-py3.substvars

=== debian/tests/control ===
Tests: embedded-py2 daemon-py2
Restrictions: needs-root
Depends: apache2, libapache2-mod-wsgi, wget

Tests: embedded-py3 daemon-py3
Restrictions: needs-root
Depends: apache2, libapache2-mod-wsgi-py3, wget

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mod_wsgi-$1\.tar\.gz/ \
  https://github.com/GrahamDumpleton/mod_wsgi/tags .*/v?(\d\S*)\.tar\.gz

## mod-wsgi 4.7.1

=== debian/changelog ===
mod-wsgi (4.7.1-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/rules: Remove trailing whitespaces.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Stefano Rivera ]
  * Re-adapt debian/rules to support multiple Python 3 supperted versions
    (removed with 2.7 support). Closes: #862434.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 15 Oct 2020 12:48:24 -0700

mod-wsgi (4.7.1-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Remove py2 support. Closes: #937062.
    - No need to instal older py2 packages. Closes: #968079.
  * Set myself as Uploaders.
  * d/rules: Stop use dh --paralel, it's not longer need.
  * d/tests: Remove autopkgtest for py2.
  * d/source/lintian-overrides: Override lintian error.
    - Override a false positive about the python3 dependency and
      python3 helper is not used.

  [ Sergio Durigan Junior ]
  * d/copyright: Update download URL.
  * d/control: Remove needless dh-autoreconf B-D.
  * d/rules: Simplify "pkgdir" variable.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 25 Aug 2020 07:40:03 -0300

mod-wsgi (4.7.1-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload.
  * Depend on the python2.7 binary package for the 2.7 interpreter.
    (Closes: #966763)
  * d/control: Bump debhelper-compat to 11 (from 9).
  * d/control: Bump Standards-Version to 4.5.0.
  * New upstream version 4.7.1.
  * Run wrap-and-sort.
  * d/gbp.conf: use debian/master as default branch.

  [ Bernd Zeimetz ]
  * Removing myself from Uploaders.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 18 Aug 2020 22:44:12 -0300

=== debian/control ===
Source: mod-wsgi
Section: httpd
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>
Build-Depends: apache2-dev (>= 2.4),
               debhelper-compat (= 11),
               python3-all-dev
Homepage: http://www.modwsgi.org/
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/python-team/packages/mod-wsgi.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mod-wsgi

Package: libapache2-mod-wsgi-py3
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libapache2-mod-wsgi
Provides: httpd-wsgi3
Description: Python 3 WSGI adapter module for Apache
 The mod_wsgi adapter is an Apache module that provides a WSGI (Web Server
 Gateway Interface, a standard interface between web server software and
 web applications written in Python) compliant interface for hosting Python
 based web applications within Apache. The adapter provides significantly
 better performance than using existing WSGI adapters for mod_python or CGI.
 .
 This package provides module for Python 3.X.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=libapache2-mod-wsgi

APXS2=/usr/bin/apxs2
PY3VERS=$(shell py3versions -vs)
PY3DEFAULT=$(shell py3versions -dv)
PY3MIN=$(shell for VERSION in $(PY3VERS); do echo $$VERSION; done | sort | head -1)
PY3MAX=$(shell for VERSION in $(PY3VERS); do echo $$VERSION; done | sort | tail -1 | LANG=C awk '{print $$NF+0.1}')
pkgdir = $(CURDIR)/debian/$(PACKAGE)-py3

%:
	dh $@ --with autoreconf,apache2

override_dh_auto_configure: $(patsubst %,build-%/config.status,$(PY3VERS))

build-%/config.status:
	mkdir -p build-$*
	find . -mindepth 1 -maxdepth 1 -name 'debian' -o -name 'build-*' -o -exec cp -r {} build-$* \;
	dh_auto_configure -Bbuild-$* -- --with-apxs=$(APXS2) --with-python=/usr/bin/python$*

override_dh_auto_build: $(patsubst %,build-%/build-stamp,$(PY3VERS))

build-%/build-stamp:
	dh_auto_build -Bbuild-$*
	touch $@

override_dh_auto_install: $(patsubst %,install-%,$(PY3VERS))

install-%:
	dh_auto_install -Bbuild-$* -- DESTDIR=$(call pkgdir,$*)
	mv $(call pkgdir,$*)/usr/lib/apache2/modules/mod_wsgi.so \
		$(call pkgdir,$*)/usr/lib/apache2/modules/mod_wsgi.so-$*

override_dh_auto_clean:
	rm -rf build-*

override_dh_install:
	dh_install
	chmod 755 debian/$(PACKAGE)-py3/usr/share/python3/runtime.d/libapache2-mod-wsgi-py3.rtupdate

override_dh_link:
	dh_link -p $(PACKAGE)-py3 /usr/lib/apache2/modules/mod_wsgi.so-$(PY3DEFAULT) usr/lib/apache2/modules/mod_wsgi.so
	dh_link --remaining-packages

override_dh_gencontrol:
	# Generate dependencies manually as there are no public modules
	echo 'python3:Depends=python3 (>= $(PY3MIN)), python3 (<< $(PY3MAX))' \
	     >> $(CURDIR)/debian/$(PACKAGE)-py3.substvars
	dh_gencontrol

## mod-wsgi 4.9.0

=== debian/changelog ===
mod-wsgi (4.9.0-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Trusted Proxy Headers Removing Bypass
    - debian/patches/CVE-2022-2255.patch: ensure that X-Client-IP header is
      dropped when is not a trusted header in src/server/mod_wsgi.c.
    - CVE-2022-2255

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Jul 2022 09:22:49 -0400

mod-wsgi (4.9.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:30:05 +0000

mod-wsgi (4.9.0-1) unstable; urgency=medium

  * New upstream version (Closes: #999857).
  * d/control: Bump debhelper-compat to 13.
  * d/control: Bump Standards-Version to 4.6.0.1.
  * d/rules: fix the selection of Python min version and Python max
    version.
  * d/rules: deactivate tests. Test run with the mod-wsgi package already
    installed.
  * d/tests/control: add 'Restrictions: isolation-container' to avoid
    fails in a simple chroot/schroot.
  * d/control: add Rules-Requires-Root: no.
  * d/watch: bump version to 4.
  * d/copyright: fix file to be according to DEP-5.
  * wrap-and-sort.
  * d/rules: improve rules to support building package with multiple
    jobs.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 29 Nov 2021 18:38:33 -0300

=== debian/control ===
Source: mod-wsgi
Section: httpd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends: apache2-dev (>= 2.4),
               debhelper-compat (= 13),
               python3-all-dev,
Homepage: http://www.modwsgi.org/
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/python-team/packages/mod-wsgi.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mod-wsgi
Rules-Requires-Root: no

Package: libapache2-mod-wsgi-py3
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Conflicts: libapache2-mod-wsgi,
Provides: httpd-wsgi3,
Description: Python 3 WSGI adapter module for Apache
 The mod_wsgi adapter is an Apache module that provides a WSGI (Web Server
 Gateway Interface, a standard interface between web server software and
 web applications written in Python) compliant interface for hosting Python
 based web applications within Apache. The adapter provides significantly
 better performance than using existing WSGI adapters for mod_python or CGI.
 .
 This package provides module for Python 3.X.

## mod-wsgi 4.9.4

=== debian/changelog ===
mod-wsgi (4.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Supports Python 3.11. (Closes: #1022177)
  * Drop CVE-2022-2255.patch, fixed upstream.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 01 Nov 2022 15:10:28 +0100

mod-wsgi (4.9.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2022-2255 
    drop X-Client-IP header when is not a trusted header

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Jul 2022 23:03:02 +0200

=== debian/tests/control ===
Tests: embedded-py3 daemon-py3
Restrictions: needs-root, isolation-container
Depends: apache2,
         libapache2-mod-wsgi-py3,
         wget,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mod_wsgi-$1\.tar\.gz/ \
  https://github.com/GrahamDumpleton/mod_wsgi/tags .*/v?(\d\S*)\.tar\.gz

## mod-wsgi 5.0.0

=== debian/changelog ===
mod-wsgi (5.0.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:08:10 +0000

mod-wsgi (5.0.0-1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:13:13 +0100

mod-wsgi (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.0.0. (Closes: #1055566)
  * Add metadata file.

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 13 Dec 2023 15:09:03 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                python3-all-dev,
 Homepage: http://www.modwsgi.org/
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/mod-wsgi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mod-wsgi
 Rules-Requires-Root: no
